#ifndef mozilla_dom_BindingNames_h
#define mozilla_dom_BindingNames_h

#include <stddef.h>
#include <stdint.h>
#include "mozilla/Attributes.h"

namespace mozilla::dom {

enum class BindingNamesOffset : uint16_t {
  ANGLE_instanced_arrays = 0,
  APZHitResultFlags = 23,
  AbortController = 41,
  AbortSignal = 57,
  AbstractRange = 69,
  AccessibleNode = 83,
  Addon = 98,
  AddonEvent = 104,
  AddonInstall = 115,
  AddonManager = 128,
  AddonManagerPermissions = 141,
  AnalyserNode = 165,
  Animation = 178,
  AnimationEffect = 188,
  AnimationEvent = 204,
  AnimationPlaybackEvent = 219,
  AnimationTimeline = 242,
  AnonymousContent = 260,
  Attr = 277,
  Audio = 282,
  AudioBuffer = 288,
  AudioBufferSourceNode = 300,
  AudioContext = 322,
  AudioDestinationNode = 335,
  AudioListener = 356,
  AudioNode = 370,
  AudioParam = 380,
  AudioParamMap = 391,
  AudioProcessingEvent = 405,
  AudioScheduledSourceNode = 426,
  AudioTrack = 451,
  AudioTrackList = 462,
  AudioWorklet = 477,
  AudioWorkletGlobalScope = 490,
  AudioWorkletNode = 514,
  AudioWorkletProcessor = 531,
  AuthenticatorAssertionResponse = 553,
  AuthenticatorAttestationResponse = 584,
  AuthenticatorResponse = 617,
  BarProp = 639,
  BaseAudioContext = 647,
  BatteryManager = 664,
  BeforeUnloadEvent = 679,
  BiquadFilterNode = 697,
  Blob = 714,
  BlobEvent = 719,
  BroadcastChannel = 729,
  BrowsingContext = 746,
  BrowsingContextGroup = 762,
  ByteLengthQueuingStrategy = 783,
  CDATASection = 809,
  CSS = 822,
  CSS2Properties = 826,
  CSSAnimation = 841,
  CSSConditionRule = 854,
  CSSContainerRule = 871,
  CSSCounterStyleRule = 888,
  CSSFontFaceRule = 908,
  CSSFontFeatureValuesRule = 924,
  CSSFontPaletteValuesRule = 949,
  CSSGroupingRule = 974,
  CSSImportRule = 990,
  CSSKeyframeRule = 1004,
  CSSKeyframesRule = 1020,
  CSSLayerBlockRule = 1037,
  CSSLayerStatementRule = 1055,
  CSSMediaRule = 1077,
  CSSMozDocumentRule = 1090,
  CSSNamespaceRule = 1109,
  CSSPageRule = 1126,
  CSSPseudoElement = 1138,
  CSSRule = 1155,
  CSSRuleList = 1163,
  CSSStyleDeclaration = 1175,
  CSSStyleRule = 1195,
  CSSStyleSheet = 1208,
  CSSSupportsRule = 1222,
  CSSTransition = 1238,
  Cache = 1252,
  CacheStorage = 1258,
  CallbackDebuggerNotification = 1271,
  CanonicalBrowsingContext = 1300,
  CanvasCaptureMediaStream = 1325,
  CanvasGradient = 1350,
  CanvasPattern = 1365,
  CanvasRenderingContext2D = 1379,
  CaretPosition = 1404,
  CaretStateChangedEvent = 1418,
  ChannelMergerNode = 1441,
  ChannelSplitterNode = 1459,
  ChannelWrapper = 1479,
  CharacterData = 1494,
  CheckerboardReportService = 1508,
  ChildProcessMessageManager = 1534,
  ChildSHistory = 1561,
  ChromeMessageBroadcaster = 1575,
  ChromeMessageSender = 1600,
  ChromeNodeList = 1620,
  ChromeUtils = 1635,
  ChromeWorker = 1647,
  Client = 1660,
  Clients = 1667,
  Clipboard = 1675,
  ClipboardEvent = 1685,
  ClipboardItem = 1700,
  ClonedErrorHolder = 1714,
  CloseEvent = 1732,
  CommandEvent = 1743,
  Comment = 1756,
  CompositionEvent = 1764,
  ConsoleInstance = 1781,
  ConstantSourceNode = 1797,
  ContentFrameMessageManager = 1816,
  ContentProcessMessageManager = 1843,
  ContentVisibilityAutoStateChangeEvent = 1872,
  ConvolverNode = 1910,
  CountQueuingStrategy = 1924,
  CreateOfferRequest = 1945,
  Credential = 1964,
  CredentialsContainer = 1975,
  Crypto = 1996,
  CryptoKey = 2003,
  CustomElementRegistry = 2013,
  CustomEvent = 2035,
  DOMException = 2047,
  DOMImplementation = 2060,
  DOMLocalization = 2078,
  DOMMatrix = 2094,
  DOMMatrixReadOnly = 2104,
  DOMParser = 2122,
  DOMPoint = 2132,
  DOMPointReadOnly = 2141,
  DOMQuad = 2158,
  DOMRect = 2166,
  DOMRectList = 2174,
  DOMRectReadOnly = 2186,
  DOMRequest = 2202,
  DOMStringList = 2213,
  DOMStringMap = 2227,
  DOMTokenList = 2240,
  DataTransfer = 2253,
  DataTransferItem = 2266,
  DataTransferItemList = 2283,
  DebuggerNotification = 2304,
  DebuggerNotificationObserver = 2325,
  DedicatedWorkerGlobalScope = 2354,
  DelayNode = 2381,
  DeprecationReportBody = 2391,
  DeviceAcceleration = 2413,
  DeviceLightEvent = 2432,
  DeviceMotionEvent = 2449,
  DeviceOrientationEvent = 2467,
  DeviceRotationRate = 2490,
  Directory = 2509,
  Document = 2519,
  DocumentFragment = 2528,
  DocumentL10n = 2545,
  DocumentTimeline = 2558,
  DocumentType = 2575,
  DominatorTree = 2588,
  DragEvent = 2602,
  DynamicsCompressorNode = 2612,
  EXT_blend_minmax = 2635,
  EXT_color_buffer_float = 2652,
  EXT_color_buffer_half_float = 2675,
  EXT_disjoint_timer_query = 2703,
  EXT_float_blend = 2728,
  EXT_frag_depth = 2744,
  EXT_sRGB = 2759,
  EXT_shader_texture_lod = 2768,
  EXT_texture_compression_bptc = 2791,
  EXT_texture_compression_rgtc = 2820,
  EXT_texture_filter_anisotropic = 2849,
  EXT_texture_norm16 = 2880,
  Element = 2899,
  ElementInternals = 2907,
  ErrorEvent = 2924,
  Event = 2935,
  EventCallbackDebuggerNotification = 2941,
  EventCounts = 2975,
  EventSource = 2987,
  EventTarget = 2999,
  Exception = 3011,
  ExtendableEvent = 3021,
  ExtendableMessageEvent = 3037,
  ExtensionAlarms = 3060,
  ExtensionBrowser = 3076,
  ExtensionBrowserSettings = 3093,
  ExtensionBrowserSettingsColorManagement = 3118,
  ExtensionDns = 3158,
  ExtensionEventManager = 3171,
  ExtensionMockAPI = 3193,
  ExtensionPort = 3210,
  ExtensionProxy = 3224,
  ExtensionRuntime = 3239,
  ExtensionScripting = 3256,
  ExtensionSetting = 3275,
  ExtensionTest = 3292,
  External = 3306,
  FeaturePolicy = 3315,
  FeaturePolicyViolationReportBody = 3329,
  FetchEvent = 3362,
  FetchObserver = 3373,
  File = 3387,
  FileList = 3392,
  FileReader = 3401,
  FileReaderSync = 3412,
  FileSystem = 3427,
  FileSystemDirectoryEntry = 3438,
  FileSystemDirectoryHandle = 3463,
  FileSystemDirectoryHandle_AsyncIterator = 3489,
  FileSystemDirectoryIterator = 3529,
  FileSystemDirectoryReader = 3557,
  FileSystemEntry = 3583,
  FileSystemFileEntry = 3599,
  FileSystemFileHandle = 3619,
  FileSystemHandle = 3640,
  FileSystemSyncAccessHandle = 3657,
  FileSystemWritableFileStream = 3684,
  Flex = 3713,
  FlexItemValues = 3718,
  FlexLineValues = 3733,
  FluentBundle = 3748,
  FluentBundleAsyncIterator = 3761,
  FluentBundleIterator = 3787,
  FluentPattern = 3808,
  FluentResource = 3822,
  FocusEvent = 3837,
  FontFace = 3848,
  FontFaceSet = 3857,
  FontFaceSetIterator = 3869,
  FontFaceSetLoadEvent = 3889,
  FormData = 3910,
  FormData_Iterator = 3919,
  FormDataEvent = 3937,
  FrameCrashedEvent = 3951,
  FrameLoader = 3969,
  GPU = 3981,
  GPUAdapter = 3985,
  GPUBindGroup = 3996,
  GPUBindGroupLayout = 4009,
  GPUBuffer = 4028,
  GPUBufferUsage = 4038,
  GPUCanvasContext = 4053,
  GPUColorWrite = 4070,
  GPUCommandBuffer = 4084,
  GPUCommandEncoder = 4101,
  GPUCompilationInfo = 4119,
  GPUCompilationMessage = 4138,
  GPUComputePassEncoder = 4160,
  GPUComputePipeline = 4182,
  GPUDevice = 4201,
  GPUDeviceLostInfo = 4211,
  GPUMapMode = 4229,
  GPUOutOfMemoryError = 4240,
  GPUPipelineLayout = 4260,
  GPUQuerySet = 4278,
  GPUQueue = 4290,
  GPURenderBundle = 4299,
  GPURenderBundleEncoder = 4315,
  GPURenderPassEncoder = 4338,
  GPURenderPipeline = 4359,
  GPUSampler = 4377,
  GPUShaderModule = 4388,
  GPUShaderStage = 4404,
  GPUSupportedFeatures = 4419,
  GPUSupportedLimits = 4440,
  GPUTexture = 4459,
  GPUTextureUsage = 4470,
  GPUTextureView = 4486,
  GPUUncapturedErrorEvent = 4501,
  GPUValidationError = 4525,
  GainNode = 4544,
  Gamepad = 4553,
  GamepadAxisMoveEvent = 4561,
  GamepadButton = 4582,
  GamepadButtonEvent = 4596,
  GamepadEvent = 4615,
  GamepadHapticActuator = 4628,
  GamepadLightIndicator = 4650,
  GamepadPose = 4672,
  GamepadServiceTest = 4684,
  GamepadTouch = 4703,
  Geolocation = 4716,
  GeolocationCoordinates = 4728,
  GeolocationPosition = 4751,
  GeolocationPositionError = 4771,
  GetUserMediaRequest = 4796,
  GleanCategory = 4816,
  GleanImpl = 4830,
  GleanLabeled = 4840,
  GleanPingsImpl = 4853,
  Grid = 4868,
  GridArea = 4873,
  GridDimension = 4882,
  GridLine = 4896,
  GridLines = 4905,
  GridTrack = 4915,
  GridTracks = 4925,
  HTMLAllCollection = 4936,
  HTMLAnchorElement = 4954,
  HTMLAreaElement = 4972,
  HTMLAudioElement = 4988,
  HTMLBRElement = 5005,
  HTMLBaseElement = 5019,
  HTMLBodyElement = 5035,
  HTMLButtonElement = 5051,
  HTMLCanvasElement = 5069,
  HTMLCollection = 5087,
  HTMLDListElement = 5102,
  HTMLDataElement = 5119,
  HTMLDataListElement = 5135,
  HTMLDetailsElement = 5155,
  HTMLDialogElement = 5174,
  HTMLDirectoryElement = 5192,
  HTMLDivElement = 5213,
  HTMLDocument = 5228,
  HTMLElement = 5241,
  HTMLEmbedElement = 5253,
  HTMLFieldSetElement = 5270,
  HTMLFontElement = 5290,
  HTMLFormControlsCollection = 5306,
  HTMLFormElement = 5333,
  HTMLFrameElement = 5349,
  HTMLFrameSetElement = 5366,
  HTMLHRElement = 5386,
  HTMLHeadElement = 5400,
  HTMLHeadingElement = 5416,
  HTMLHtmlElement = 5435,
  HTMLIFrameElement = 5451,
  HTMLImageElement = 5469,
  HTMLInputElement = 5486,
  HTMLLIElement = 5503,
  HTMLLabelElement = 5517,
  HTMLLegendElement = 5534,
  HTMLLinkElement = 5552,
  HTMLMapElement = 5568,
  HTMLMarqueeElement = 5583,
  HTMLMediaElement = 5602,
  HTMLMenuElement = 5619,
  HTMLMetaElement = 5635,
  HTMLMeterElement = 5651,
  HTMLModElement = 5668,
  HTMLOListElement = 5683,
  HTMLObjectElement = 5700,
  HTMLOptGroupElement = 5718,
  HTMLOptionElement = 5738,
  HTMLOptionsCollection = 5756,
  HTMLOutputElement = 5778,
  HTMLParagraphElement = 5796,
  HTMLParamElement = 5817,
  HTMLPictureElement = 5834,
  HTMLPreElement = 5853,
  HTMLProgressElement = 5868,
  HTMLQuoteElement = 5888,
  HTMLScriptElement = 5905,
  HTMLSelectElement = 5923,
  HTMLSlotElement = 5941,
  HTMLSourceElement = 5957,
  HTMLSpanElement = 5975,
  HTMLStyleElement = 5991,
  HTMLTableCaptionElement = 6008,
  HTMLTableCellElement = 6032,
  HTMLTableColElement = 6053,
  HTMLTableElement = 6073,
  HTMLTableRowElement = 6090,
  HTMLTableSectionElement = 6110,
  HTMLTemplateElement = 6134,
  HTMLTextAreaElement = 6154,
  HTMLTimeElement = 6174,
  HTMLTitleElement = 6190,
  HTMLTrackElement = 6207,
  HTMLUListElement = 6224,
  HTMLUnknownElement = 6241,
  HTMLVideoElement = 6260,
  HashChangeEvent = 6277,
  Headers = 6293,
  Headers_Iterator = 6301,
  HeapSnapshot = 6318,
  Highlight = 6331,
  HighlightRegistry = 6341,
  History = 6359,
  IDBCursor = 6367,
  IDBCursorWithValue = 6377,
  IDBDatabase = 6396,
  IDBFactory = 6408,
  IDBIndex = 6419,
  IDBKeyRange = 6428,
  IDBLocaleAwareKeyRange = 6440,
  IDBObjectStore = 6463,
  IDBOpenDBRequest = 6478,
  IDBRequest = 6495,
  IDBTransaction = 6506,
  IDBVersionChangeEvent = 6521,
  IIRFilterNode = 6543,
  IOUtils = 6557,
  IdentityCredential = 6565,
  IdleDeadline = 6584,
  Image = 6597,
  ImageBitmap = 6603,
  ImageBitmapRenderingContext = 6615,
  ImageCapture = 6643,
  ImageCaptureError = 6656,
  ImageCaptureErrorEvent = 6674,
  ImageData = 6697,
  ImageDocument = 6707,
  InputEvent = 6721,
  InspectorFontFace = 6732,
  InspectorUtils = 6750,
  InstallTriggerImpl = 6765,
  IntersectionObserver = 6784,
  IntersectionObserverEntry = 6805,
  IntlUtils = 6831,
  JSProcessActorChild = 6841,
  JSProcessActorParent = 6861,
  JSWindowActorChild = 6882,
  JSWindowActorParent = 6901,
  KeyEvent = 6921,
  KeyboardEvent = 6930,
  KeyframeEffect = 6944,
  L10nFileSource = 6959,
  L10nOverlays = 6974,
  L10nRegistry = 6987,
  LegacyMozTCPSocket = 7000,
  Localization = 7019,
  Location = 7032,
  Lock = 7041,
  LockManager = 7046,
  MIDIAccess = 7058,
  MIDIConnectionEvent = 7069,
  MIDIInput = 7089,
  MIDIInputMap = 7099,
  MIDIMessageEvent = 7112,
  MIDIOutput = 7129,
  MIDIOutputMap = 7140,
  MIDIPort = 7154,
  MOZ_debug = 7163,
  MatchGlob = 7173,
  MatchPattern = 7183,
  MatchPatternSet = 7196,
  MathMLElement = 7212,
  MediaCapabilities = 7226,
  MediaCapabilitiesInfo = 7244,
  MediaControlService = 7266,
  MediaController = 7286,
  MediaDeviceInfo = 7302,
  MediaDevices = 7318,
  MediaElementAudioSourceNode = 7331,
  MediaEncryptedEvent = 7359,
  MediaError = 7379,
  MediaKeyError = 7390,
  MediaKeyMessageEvent = 7404,
  MediaKeySession = 7425,
  MediaKeyStatusMap = 7441,
  MediaKeyStatusMap_Iterator = 7459,
  MediaKeySystemAccess = 7486,
  MediaKeys = 7507,
  MediaList = 7517,
  MediaMetadata = 7527,
  MediaQueryList = 7541,
  MediaQueryListEvent = 7556,
  MediaRecorder = 7576,
  MediaRecorderErrorEvent = 7590,
  MediaSession = 7614,
  MediaSource = 7627,
  MediaStream = 7639,
  MediaStreamAudioDestinationNode = 7651,
  MediaStreamAudioSourceNode = 7683,
  MediaStreamError = 7710,
  MediaStreamEvent = 7727,
  MediaStreamTrack = 7744,
  MediaStreamTrackAudioSourceNode = 7761,
  MediaStreamTrackEvent = 7793,
  MerchantValidationEvent = 7815,
  MessageBroadcaster = 7839,
  MessageChannel = 7858,
  MessageEvent = 7873,
  MessageListenerManager = 7886,
  MessagePort = 7909,
  MessageSender = 7921,
  MimeType = 7935,
  MimeTypeArray = 7944,
  MouseEvent = 7958,
  MouseScrollEvent = 7969,
  MozCanvasPrintState = 7986,
  MozDocumentMatcher = 8006,
  MozDocumentObserver = 8025,
  MozQueryInterface = 8045,
  MozSharedMap = 8063,
  MozSharedMap_Iterator = 8076,
  MozSharedMapChangeEvent = 8098,
  MozStorageAsyncStatementParams = 8122,
  MozStorageStatementParams = 8153,
  MozStorageStatementRow = 8179,
  MozWritableSharedMap = 8202,
  MutationEvent = 8223,
  MutationObserver = 8237,
  MutationRecord = 8254,
  NamedNodeMap = 8269,
  NavigationPreloadManager = 8282,
  Navigator = 8307,
  NetworkInformation = 8317,
  Node = 8336,
  NodeFilter = 8341,
  NodeIterator = 8352,
  NodeList = 8365,
  Notification = 8374,
  NotificationEvent = 8387,
  NotifyPaintEvent = 8405,
  OES_draw_buffers_indexed = 8422,
  OES_element_index_uint = 8447,
  OES_fbo_render_mipmap = 8470,
  OES_standard_derivatives = 8492,
  OES_texture_float = 8517,
  OES_texture_float_linear = 8535,
  OES_texture_half_float = 8560,
  OES_texture_half_float_linear = 8583,
  OES_vertex_array_object = 8613,
  OVR_multiview2 = 8637,
  OfflineAudioCompletionEvent = 8652,
  OfflineAudioContext = 8680,
  OfflineResourceList = 8700,
  OffscreenCanvas = 8720,
  OffscreenCanvasRenderingContext2D = 8736,
  Option = 8770,
  OscillatorNode = 8777,
  PageTransitionEvent = 8792,
  PaintRequest = 8812,
  PaintRequestList = 8825,
  PaintWorkletGlobalScope = 8842,
  PannerNode = 8866,
  ParentProcessMessageManager = 8877,
  Path2D = 8905,
  PathUtils = 8912,
  PaymentAddress = 8922,
  PaymentMethodChangeEvent = 8937,
  PaymentRequest = 8962,
  PaymentRequestUpdateEvent = 8977,
  PaymentResponse = 9003,
  Performance = 9019,
  PerformanceEntry = 9031,
  PerformanceEntryEvent = 9048,
  PerformanceEventTiming = 9070,
  PerformanceMark = 9093,
  PerformanceMeasure = 9109,
  PerformanceNavigation = 9128,
  PerformanceNavigationTiming = 9150,
  PerformanceObserver = 9178,
  PerformanceObserverEntryList = 9198,
  PerformancePaintTiming = 9227,
  PerformanceResourceTiming = 9250,
  PerformanceServerTiming = 9276,
  PerformanceTiming = 9300,
  PeriodicWave = 9318,
  PermissionStatus = 9331,
  Permissions = 9348,
  PlacesBookmark = 9360,
  PlacesBookmarkAddition = 9375,
  PlacesBookmarkChanged = 9398,
  PlacesBookmarkGuid = 9420,
  PlacesBookmarkKeyword = 9439,
  PlacesBookmarkMoved = 9461,
  PlacesBookmarkRemoved = 9481,
  PlacesBookmarkTags = 9503,
  PlacesBookmarkTime = 9522,
  PlacesBookmarkTitle = 9541,
  PlacesBookmarkUrl = 9561,
  PlacesEvent = 9579,
  PlacesFavicon = 9591,
  PlacesHistoryCleared = 9605,
  PlacesObservers = 9626,
  PlacesPurgeCaches = 9642,
  PlacesRanking = 9660,
  PlacesVisit = 9674,
  PlacesVisitRemoved = 9686,
  PlacesVisitTitle = 9705,
  PlacesWeakCallbackWrapper = 9722,
  Plugin = 9748,
  PluginArray = 9755,
  PluginCrashedEvent = 9767,
  PointerEvent = 9786,
  PopStateEvent = 9799,
  PopupBlockedEvent = 9813,
  PopupPositionedEvent = 9831,
  PositionStateEvent = 9852,
  PrecompiledScript = 9871,
  ProcessMessageManager = 9889,
  ProcessingInstruction = 9911,
  ProgressEvent = 9933,
  PromiseDebugging = 9947,
  PromiseNativeHandler = 9964,
  PromiseRejectionEvent = 9985,
  PublicKeyCredential = 10007,
  PushEvent = 10027,
  PushManager = 10037,
  PushManagerImpl = 10049,
  PushMessageData = 10065,
  PushSubscription = 10081,
  PushSubscriptionOptions = 10098,
  RadioNodeList = 10122,
  Range = 10136,
  ReadableByteStreamController = 10142,
  ReadableStream = 10171,
  ReadableStream_AsyncIterator = 10186,
  ReadableStreamBYOBReader = 10215,
  ReadableStreamBYOBRequest = 10240,
  ReadableStreamDefaultController = 10266,
  ReadableStreamDefaultReader = 10298,
  Report = 10326,
  ReportBody = 10333,
  ReportingObserver = 10344,
  Request = 10362,
  ResizeObserver = 10370,
  ResizeObserverEntry = 10385,
  ResizeObserverSize = 10405,
  Response = 10424,
  SVGAElement = 10433,
  SVGAngle = 10445,
  SVGAnimateElement = 10454,
  SVGAnimateMotionElement = 10472,
  SVGAnimateTransformElement = 10496,
  SVGAnimatedAngle = 10523,
  SVGAnimatedBoolean = 10540,
  SVGAnimatedEnumeration = 10559,
  SVGAnimatedInteger = 10582,
  SVGAnimatedLength = 10601,
  SVGAnimatedLengthList = 10619,
  SVGAnimatedNumber = 10641,
  SVGAnimatedNumberList = 10659,
  SVGAnimatedPreserveAspectRatio = 10681,
  SVGAnimatedRect = 10712,
  SVGAnimatedString = 10728,
  SVGAnimatedTransformList = 10746,
  SVGAnimationElement = 10771,
  SVGCircleElement = 10791,
  SVGClipPathElement = 10808,
  SVGComponentTransferFunctionElement = 10827,
  SVGDefsElement = 10863,
  SVGDescElement = 10878,
  SVGElement = 10893,
  SVGEllipseElement = 10904,
  SVGFEBlendElement = 10922,
  SVGFEColorMatrixElement = 10940,
  SVGFEComponentTransferElement = 10964,
  SVGFECompositeElement = 10994,
  SVGFEConvolveMatrixElement = 11016,
  SVGFEDiffuseLightingElement = 11043,
  SVGFEDisplacementMapElement = 11071,
  SVGFEDistantLightElement = 11099,
  SVGFEDropShadowElement = 11124,
  SVGFEFloodElement = 11147,
  SVGFEFuncAElement = 11165,
  SVGFEFuncBElement = 11183,
  SVGFEFuncGElement = 11201,
  SVGFEFuncRElement = 11219,
  SVGFEGaussianBlurElement = 11237,
  SVGFEImageElement = 11262,
  SVGFEMergeElement = 11280,
  SVGFEMergeNodeElement = 11298,
  SVGFEMorphologyElement = 11320,
  SVGFEOffsetElement = 11343,
  SVGFEPointLightElement = 11362,
  SVGFESpecularLightingElement = 11385,
  SVGFESpotLightElement = 11414,
  SVGFETileElement = 11436,
  SVGFETurbulenceElement = 11453,
  SVGFilterElement = 11476,
  SVGForeignObjectElement = 11493,
  SVGGElement = 11517,
  SVGGeometryElement = 11529,
  SVGGradientElement = 11548,
  SVGGraphicsElement = 11567,
  SVGImageElement = 11586,
  SVGLength = 11602,
  SVGLengthList = 11612,
  SVGLineElement = 11626,
  SVGLinearGradientElement = 11641,
  SVGMPathElement = 11666,
  SVGMarkerElement = 11682,
  SVGMaskElement = 11699,
  SVGMatrix = 11714,
  SVGMetadataElement = 11724,
  SVGNumber = 11743,
  SVGNumberList = 11753,
  SVGPathElement = 11767,
  SVGPathSeg = 11782,
  SVGPathSegArcAbs = 11793,
  SVGPathSegArcRel = 11810,
  SVGPathSegClosePath = 11827,
  SVGPathSegCurvetoCubicAbs = 11847,
  SVGPathSegCurvetoCubicRel = 11873,
  SVGPathSegCurvetoCubicSmoothAbs = 11899,
  SVGPathSegCurvetoCubicSmoothRel = 11931,
  SVGPathSegCurvetoQuadraticAbs = 11963,
  SVGPathSegCurvetoQuadraticRel = 11993,
  SVGPathSegCurvetoQuadraticSmoothAbs = 12023,
  SVGPathSegCurvetoQuadraticSmoothRel = 12059,
  SVGPathSegLinetoAbs = 12095,
  SVGPathSegLinetoHorizontalAbs = 12115,
  SVGPathSegLinetoHorizontalRel = 12145,
  SVGPathSegLinetoRel = 12175,
  SVGPathSegLinetoVerticalAbs = 12195,
  SVGPathSegLinetoVerticalRel = 12223,
  SVGPathSegList = 12251,
  SVGPathSegMovetoAbs = 12266,
  SVGPathSegMovetoRel = 12286,
  SVGPatternElement = 12306,
  SVGPoint = 12324,
  SVGPointList = 12333,
  SVGPolygonElement = 12346,
  SVGPolylineElement = 12364,
  SVGPreserveAspectRatio = 12383,
  SVGRadialGradientElement = 12406,
  SVGRect = 12431,
  SVGRectElement = 12439,
  SVGSVGElement = 12454,
  SVGScriptElement = 12468,
  SVGSetElement = 12485,
  SVGStopElement = 12499,
  SVGStringList = 12514,
  SVGStyleElement = 12528,
  SVGSwitchElement = 12544,
  SVGSymbolElement = 12561,
  SVGTSpanElement = 12578,
  SVGTextContentElement = 12594,
  SVGTextElement = 12616,
  SVGTextPathElement = 12631,
  SVGTextPositioningElement = 12650,
  SVGTitleElement = 12676,
  SVGTransform = 12692,
  SVGTransformList = 12705,
  SVGUnitTypes = 12722,
  SVGUseElement = 12735,
  SVGViewElement = 12749,
  Sanitizer = 12764,
  Scheduler = 12774,
  Screen = 12784,
  ScreenLuminance = 12791,
  ScreenOrientation = 12807,
  ScriptProcessorNode = 12825,
  ScrollAreaEvent = 12845,
  ScrollViewChangeEvent = 12861,
  SecurityPolicyViolationEvent = 12883,
  Selection = 12912,
  ServiceWorker = 12922,
  ServiceWorkerContainer = 12936,
  ServiceWorkerGlobalScope = 12959,
  ServiceWorkerRegistration = 12984,
  SessionStoreFormData = 13010,
  SessionStoreScrollData = 13031,
  SessionStoreUtils = 13054,
  ShadowRealmGlobalScope = 13072,
  ShadowRoot = 13095,
  SharedWorker = 13106,
  SharedWorkerGlobalScope = 13119,
  SimpleGestureEvent = 13143,
  SourceBuffer = 13162,
  SourceBufferList = 13175,
  SpeechGrammar = 13192,
  SpeechGrammarList = 13206,
  SpeechRecognition = 13224,
  SpeechRecognitionAlternative = 13242,
  SpeechRecognitionError = 13271,
  SpeechRecognitionEvent = 13294,
  SpeechRecognitionResult = 13317,
  SpeechRecognitionResultList = 13341,
  SpeechSynthesis = 13369,
  SpeechSynthesisErrorEvent = 13385,
  SpeechSynthesisEvent = 13411,
  SpeechSynthesisUtterance = 13432,
  SpeechSynthesisVoice = 13457,
  StaticRange = 13478,
  StereoPannerNode = 13490,
  Storage = 13507,
  StorageEvent = 13515,
  StorageManager = 13528,
  StreamFilter = 13543,
  StreamFilterDataEvent = 13556,
  StructuredCloneHolder = 13578,
  StructuredCloneTester = 13600,
  StyleSheet = 13622,
  StyleSheetApplicableStateChangeEvent = 13633,
  StyleSheetList = 13670,
  SubmitEvent = 13685,
  SubtleCrypto = 13697,
  SyncMessageSender = 13710,
  SyncReadFile = 13728,
  TCPServerSocket = 13741,
  TCPServerSocketEvent = 13757,
  TCPSocket = 13778,
  TCPSocketErrorEvent = 13788,
  TCPSocketEvent = 13808,
  TaskController = 13823,
  TaskPriorityChangeEvent = 13838,
  TaskSignal = 13862,
  TelemetryStopwatch = 13873,
  TestUtils = 13892,
  TestingDeprecatedInterface = 13902,
  Text = 13929,
  TextClause = 13934,
  TextDecoder = 13945,
  TextDecoderStream = 13957,
  TextEncoder = 13975,
  TextEncoderStream = 13987,
  TextMetrics = 14005,
  TextTrack = 14017,
  TextTrackCue = 14027,
  TextTrackCueList = 14040,
  TextTrackList = 14057,
  TimeEvent = 14071,
  TimeRanges = 14081,
  Touch = 14092,
  TouchEvent = 14098,
  TouchList = 14109,
  TrackEvent = 14119,
  TransformStream = 14130,
  TransformStreamDefaultController = 14146,
  TransitionEvent = 14179,
  TreeColumn = 14195,
  TreeColumns = 14206,
  TreeContentView = 14218,
  TreeWalker = 14234,
  U2F = 14245,
  UDPMessageEvent = 14249,
  UDPSocket = 14265,
  UIEvent = 14275,
  URL = 14283,
  URLSearchParams = 14287,
  URLSearchParams_Iterator = 14303,
  UniFFIPointer = 14328,
  UniFFIScaffolding = 14342,
  UserInteraction = 14360,
  UserProximityEvent = 14376,
  VRDisplay = 14395,
  VRDisplayCapabilities = 14405,
  VRDisplayEvent = 14427,
  VREyeParameters = 14442,
  VRFieldOfView = 14458,
  VRFrameData = 14472,
  VRMockController = 14484,
  VRMockDisplay = 14501,
  VRPose = 14515,
  VRServiceTest = 14522,
  VRStageParameters = 14536,
  VTTCue = 14554,
  VTTRegion = 14561,
  ValidityState = 14571,
  VideoColorSpace = 14585,
  VideoFrame = 14601,
  VideoPlaybackQuality = 14612,
  VideoTrack = 14633,
  VideoTrackList = 14644,
  VisualViewport = 14659,
  WEBGL_color_buffer_float = 14674,
  WEBGL_compressed_texture_astc = 14699,
  WEBGL_compressed_texture_etc = 14729,
  WEBGL_compressed_texture_etc1 = 14758,
  WEBGL_compressed_texture_pvrtc = 14788,
  WEBGL_compressed_texture_s3tc = 14819,
  WEBGL_compressed_texture_s3tc_srgb = 14849,
  WEBGL_debug_renderer_info = 14884,
  WEBGL_debug_shaders = 14910,
  WEBGL_depth_texture = 14930,
  WEBGL_draw_buffers = 14950,
  WEBGL_explicit_present = 14969,
  WEBGL_lose_context = 14992,
  WaveShaperNode = 15011,
  WebExtensionContentScript = 15026,
  WebExtensionPolicy = 15052,
  WebGL2RenderingContext = 15071,
  WebGLActiveInfo = 15094,
  WebGLBuffer = 15110,
  WebGLContextEvent = 15122,
  WebGLFramebuffer = 15140,
  WebGLProgram = 15157,
  WebGLQuery = 15170,
  WebGLRenderbuffer = 15181,
  WebGLRenderingContext = 15199,
  WebGLSampler = 15221,
  WebGLShader = 15234,
  WebGLShaderPrecisionFormat = 15246,
  WebGLSync = 15273,
  WebGLTexture = 15283,
  WebGLTransformFeedback = 15296,
  WebGLUniformLocation = 15319,
  WebGLVertexArrayObject = 15340,
  WebKitCSSMatrix = 15363,
  WebSocket = 15379,
  WebTransport = 15389,
  WebTransportBidirectionalStream = 15402,
  WebTransportDatagramDuplexStream = 15434,
  WebTransportError = 15467,
  WebTransportReceiveStream = 15485,
  WebTransportSendStream = 15511,
  WheelEvent = 15534,
  Window = 15545,
  WindowClient = 15552,
  WindowContext = 15565,
  WindowGlobalChild = 15579,
  WindowGlobalParent = 15597,
  WindowRoot = 15616,
  Worker = 15627,
  WorkerDebuggerGlobalScope = 15634,
  WorkerGlobalScope = 15660,
  WorkerLocation = 15678,
  WorkerNavigator = 15693,
  WorkerTestUtils = 15709,
  Worklet = 15725,
  WorkletGlobalScope = 15733,
  WritableStream = 15752,
  WritableStreamDefaultController = 15767,
  WritableStreamDefaultWriter = 15799,
  XMLDocument = 15827,
  XMLHttpRequest = 15839,
  XMLHttpRequestEventTarget = 15854,
  XMLHttpRequestUpload = 15880,
  XMLSerializer = 15901,
  XPathEvaluator = 15915,
  XPathExpression = 15930,
  XPathResult = 15946,
  XRBoundedReferenceSpace = 15958,
  XRFrame = 15982,
  XRInputSource = 15990,
  XRInputSourceArray = 16004,
  XRInputSourceEvent = 16023,
  XRInputSourcesChangeEvent = 16042,
  XRPose = 16068,
  XRReferenceSpace = 16075,
  XRReferenceSpaceEvent = 16092,
  XRRenderState = 16114,
  XRRigidTransform = 16128,
  XRSession = 16145,
  XRSessionEvent = 16155,
  XRSpace = 16170,
  XRSystem = 16178,
  XRView = 16187,
  XRViewerPose = 16194,
  XRViewport = 16207,
  XRWebGLLayer = 16218,
  XSLTProcessor = 16231,
  XULCommandEvent = 16245,
  XULElement = 16261,
  XULFrameElement = 16272,
  XULMenuElement = 16288,
  XULPopupElement = 16303,
  XULResizerElement = 16319,
  XULTextElement = 16337,
  XULTreeElement = 16352,
  console = 16367,
  webkitSpeechGrammar = 16375,
  webkitSpeechGrammarList = 16395,
  webkitSpeechRecognition = 16419,
  webkitURL = 16443,
};

namespace binding_detail {
extern const char sBindingNames[];
}  // namespace binding_detail

MOZ_ALWAYS_INLINE const char* BindingName(BindingNamesOffset aOffset) {
  return binding_detail::sBindingNames + static_cast<size_t>(aOffset);
}

} // namespace mozilla::dom


#endif // mozilla_dom_BindingNames_h
