#include "mozilla/EnumTypeTraits.h"
#include "mozilla/dom/BindingNames.h"

namespace mozilla::dom {

namespace binding_detail {

const char sBindingNames[] = {
  /*     0 */ "ANGLE_instanced_arrays" "\0"
  /*    23 */ "APZHitResultFlags" "\0"
  /*    41 */ "AbortController" "\0"
  /*    57 */ "AbortSignal" "\0"
  /*    69 */ "AbstractRange" "\0"
  /*    83 */ "AccessibleNode" "\0"
  /*    98 */ "Addon" "\0"
  /*   104 */ "AddonEvent" "\0"
  /*   115 */ "AddonInstall" "\0"
  /*   128 */ "AddonManager" "\0"
  /*   141 */ "AddonManagerPermissions" "\0"
  /*   165 */ "AnalyserNode" "\0"
  /*   178 */ "Animation" "\0"
  /*   188 */ "AnimationEffect" "\0"
  /*   204 */ "AnimationEvent" "\0"
  /*   219 */ "AnimationPlaybackEvent" "\0"
  /*   242 */ "AnimationTimeline" "\0"
  /*   260 */ "AnonymousContent" "\0"
  /*   277 */ "Attr" "\0"
  /*   282 */ "Audio" "\0"
  /*   288 */ "AudioBuffer" "\0"
  /*   300 */ "AudioBufferSourceNode" "\0"
  /*   322 */ "AudioContext" "\0"
  /*   335 */ "AudioDestinationNode" "\0"
  /*   356 */ "AudioListener" "\0"
  /*   370 */ "AudioNode" "\0"
  /*   380 */ "AudioParam" "\0"
  /*   391 */ "AudioParamMap" "\0"
  /*   405 */ "AudioProcessingEvent" "\0"
  /*   426 */ "AudioScheduledSourceNode" "\0"
  /*   451 */ "AudioTrack" "\0"
  /*   462 */ "AudioTrackList" "\0"
  /*   477 */ "AudioWorklet" "\0"
  /*   490 */ "AudioWorkletGlobalScope" "\0"
  /*   514 */ "AudioWorkletNode" "\0"
  /*   531 */ "AudioWorkletProcessor" "\0"
  /*   553 */ "AuthenticatorAssertionResponse" "\0"
  /*   584 */ "AuthenticatorAttestationResponse" "\0"
  /*   617 */ "AuthenticatorResponse" "\0"
  /*   639 */ "BarProp" "\0"
  /*   647 */ "BaseAudioContext" "\0"
  /*   664 */ "BatteryManager" "\0"
  /*   679 */ "BeforeUnloadEvent" "\0"
  /*   697 */ "BiquadFilterNode" "\0"
  /*   714 */ "Blob" "\0"
  /*   719 */ "BlobEvent" "\0"
  /*   729 */ "BroadcastChannel" "\0"
  /*   746 */ "BrowsingContext" "\0"
  /*   762 */ "BrowsingContextGroup" "\0"
  /*   783 */ "ByteLengthQueuingStrategy" "\0"
  /*   809 */ "CDATASection" "\0"
  /*   822 */ "CSS" "\0"
  /*   826 */ "CSS2Properties" "\0"
  /*   841 */ "CSSAnimation" "\0"
  /*   854 */ "CSSConditionRule" "\0"
  /*   871 */ "CSSContainerRule" "\0"
  /*   888 */ "CSSCounterStyleRule" "\0"
  /*   908 */ "CSSFontFaceRule" "\0"
  /*   924 */ "CSSFontFeatureValuesRule" "\0"
  /*   949 */ "CSSFontPaletteValuesRule" "\0"
  /*   974 */ "CSSGroupingRule" "\0"
  /*   990 */ "CSSImportRule" "\0"
  /*  1004 */ "CSSKeyframeRule" "\0"
  /*  1020 */ "CSSKeyframesRule" "\0"
  /*  1037 */ "CSSLayerBlockRule" "\0"
  /*  1055 */ "CSSLayerStatementRule" "\0"
  /*  1077 */ "CSSMediaRule" "\0"
  /*  1090 */ "CSSMozDocumentRule" "\0"
  /*  1109 */ "CSSNamespaceRule" "\0"
  /*  1126 */ "CSSPageRule" "\0"
  /*  1138 */ "CSSPseudoElement" "\0"
  /*  1155 */ "CSSRule" "\0"
  /*  1163 */ "CSSRuleList" "\0"
  /*  1175 */ "CSSStyleDeclaration" "\0"
  /*  1195 */ "CSSStyleRule" "\0"
  /*  1208 */ "CSSStyleSheet" "\0"
  /*  1222 */ "CSSSupportsRule" "\0"
  /*  1238 */ "CSSTransition" "\0"
  /*  1252 */ "Cache" "\0"
  /*  1258 */ "CacheStorage" "\0"
  /*  1271 */ "CallbackDebuggerNotification" "\0"
  /*  1300 */ "CanonicalBrowsingContext" "\0"
  /*  1325 */ "CanvasCaptureMediaStream" "\0"
  /*  1350 */ "CanvasGradient" "\0"
  /*  1365 */ "CanvasPattern" "\0"
  /*  1379 */ "CanvasRenderingContext2D" "\0"
  /*  1404 */ "CaretPosition" "\0"
  /*  1418 */ "CaretStateChangedEvent" "\0"
  /*  1441 */ "ChannelMergerNode" "\0"
  /*  1459 */ "ChannelSplitterNode" "\0"
  /*  1479 */ "ChannelWrapper" "\0"
  /*  1494 */ "CharacterData" "\0"
  /*  1508 */ "CheckerboardReportService" "\0"
  /*  1534 */ "ChildProcessMessageManager" "\0"
  /*  1561 */ "ChildSHistory" "\0"
  /*  1575 */ "ChromeMessageBroadcaster" "\0"
  /*  1600 */ "ChromeMessageSender" "\0"
  /*  1620 */ "ChromeNodeList" "\0"
  /*  1635 */ "ChromeUtils" "\0"
  /*  1647 */ "ChromeWorker" "\0"
  /*  1660 */ "Client" "\0"
  /*  1667 */ "Clients" "\0"
  /*  1675 */ "Clipboard" "\0"
  /*  1685 */ "ClipboardEvent" "\0"
  /*  1700 */ "ClipboardItem" "\0"
  /*  1714 */ "ClonedErrorHolder" "\0"
  /*  1732 */ "CloseEvent" "\0"
  /*  1743 */ "CommandEvent" "\0"
  /*  1756 */ "Comment" "\0"
  /*  1764 */ "CompositionEvent" "\0"
  /*  1781 */ "ConsoleInstance" "\0"
  /*  1797 */ "ConstantSourceNode" "\0"
  /*  1816 */ "ContentFrameMessageManager" "\0"
  /*  1843 */ "ContentProcessMessageManager" "\0"
  /*  1872 */ "ContentVisibilityAutoStateChangeEvent" "\0"
  /*  1910 */ "ConvolverNode" "\0"
  /*  1924 */ "CountQueuingStrategy" "\0"
  /*  1945 */ "CreateOfferRequest" "\0"
  /*  1964 */ "Credential" "\0"
  /*  1975 */ "CredentialsContainer" "\0"
  /*  1996 */ "Crypto" "\0"
  /*  2003 */ "CryptoKey" "\0"
  /*  2013 */ "CustomElementRegistry" "\0"
  /*  2035 */ "CustomEvent" "\0"
  /*  2047 */ "DOMException" "\0"
  /*  2060 */ "DOMImplementation" "\0"
  /*  2078 */ "DOMLocalization" "\0"
  /*  2094 */ "DOMMatrix" "\0"
  /*  2104 */ "DOMMatrixReadOnly" "\0"
  /*  2122 */ "DOMParser" "\0"
  /*  2132 */ "DOMPoint" "\0"
  /*  2141 */ "DOMPointReadOnly" "\0"
  /*  2158 */ "DOMQuad" "\0"
  /*  2166 */ "DOMRect" "\0"
  /*  2174 */ "DOMRectList" "\0"
  /*  2186 */ "DOMRectReadOnly" "\0"
  /*  2202 */ "DOMRequest" "\0"
  /*  2213 */ "DOMStringList" "\0"
  /*  2227 */ "DOMStringMap" "\0"
  /*  2240 */ "DOMTokenList" "\0"
  /*  2253 */ "DataTransfer" "\0"
  /*  2266 */ "DataTransferItem" "\0"
  /*  2283 */ "DataTransferItemList" "\0"
  /*  2304 */ "DebuggerNotification" "\0"
  /*  2325 */ "DebuggerNotificationObserver" "\0"
  /*  2354 */ "DedicatedWorkerGlobalScope" "\0"
  /*  2381 */ "DelayNode" "\0"
  /*  2391 */ "DeprecationReportBody" "\0"
  /*  2413 */ "DeviceAcceleration" "\0"
  /*  2432 */ "DeviceLightEvent" "\0"
  /*  2449 */ "DeviceMotionEvent" "\0"
  /*  2467 */ "DeviceOrientationEvent" "\0"
  /*  2490 */ "DeviceRotationRate" "\0"
  /*  2509 */ "Directory" "\0"
  /*  2519 */ "Document" "\0"
  /*  2528 */ "DocumentFragment" "\0"
  /*  2545 */ "DocumentL10n" "\0"
  /*  2558 */ "DocumentTimeline" "\0"
  /*  2575 */ "DocumentType" "\0"
  /*  2588 */ "DominatorTree" "\0"
  /*  2602 */ "DragEvent" "\0"
  /*  2612 */ "DynamicsCompressorNode" "\0"
  /*  2635 */ "EXT_blend_minmax" "\0"
  /*  2652 */ "EXT_color_buffer_float" "\0"
  /*  2675 */ "EXT_color_buffer_half_float" "\0"
  /*  2703 */ "EXT_disjoint_timer_query" "\0"
  /*  2728 */ "EXT_float_blend" "\0"
  /*  2744 */ "EXT_frag_depth" "\0"
  /*  2759 */ "EXT_sRGB" "\0"
  /*  2768 */ "EXT_shader_texture_lod" "\0"
  /*  2791 */ "EXT_texture_compression_bptc" "\0"
  /*  2820 */ "EXT_texture_compression_rgtc" "\0"
  /*  2849 */ "EXT_texture_filter_anisotropic" "\0"
  /*  2880 */ "EXT_texture_norm16" "\0"
  /*  2899 */ "Element" "\0"
  /*  2907 */ "ElementInternals" "\0"
  /*  2924 */ "ErrorEvent" "\0"
  /*  2935 */ "Event" "\0"
  /*  2941 */ "EventCallbackDebuggerNotification" "\0"
  /*  2975 */ "EventCounts" "\0"
  /*  2987 */ "EventSource" "\0"
  /*  2999 */ "EventTarget" "\0"
  /*  3011 */ "Exception" "\0"
  /*  3021 */ "ExtendableEvent" "\0"
  /*  3037 */ "ExtendableMessageEvent" "\0"
  /*  3060 */ "ExtensionAlarms" "\0"
  /*  3076 */ "ExtensionBrowser" "\0"
  /*  3093 */ "ExtensionBrowserSettings" "\0"
  /*  3118 */ "ExtensionBrowserSettingsColorManagement" "\0"
  /*  3158 */ "ExtensionDns" "\0"
  /*  3171 */ "ExtensionEventManager" "\0"
  /*  3193 */ "ExtensionMockAPI" "\0"
  /*  3210 */ "ExtensionPort" "\0"
  /*  3224 */ "ExtensionProxy" "\0"
  /*  3239 */ "ExtensionRuntime" "\0"
  /*  3256 */ "ExtensionScripting" "\0"
  /*  3275 */ "ExtensionSetting" "\0"
  /*  3292 */ "ExtensionTest" "\0"
  /*  3306 */ "External" "\0"
  /*  3315 */ "FeaturePolicy" "\0"
  /*  3329 */ "FeaturePolicyViolationReportBody" "\0"
  /*  3362 */ "FetchEvent" "\0"
  /*  3373 */ "FetchObserver" "\0"
  /*  3387 */ "File" "\0"
  /*  3392 */ "FileList" "\0"
  /*  3401 */ "FileReader" "\0"
  /*  3412 */ "FileReaderSync" "\0"
  /*  3427 */ "FileSystem" "\0"
  /*  3438 */ "FileSystemDirectoryEntry" "\0"
  /*  3463 */ "FileSystemDirectoryHandle" "\0"
  /*  3489 */ "FileSystemDirectoryHandle AsyncIterator" "\0"
  /*  3529 */ "FileSystemDirectoryIterator" "\0"
  /*  3557 */ "FileSystemDirectoryReader" "\0"
  /*  3583 */ "FileSystemEntry" "\0"
  /*  3599 */ "FileSystemFileEntry" "\0"
  /*  3619 */ "FileSystemFileHandle" "\0"
  /*  3640 */ "FileSystemHandle" "\0"
  /*  3657 */ "FileSystemSyncAccessHandle" "\0"
  /*  3684 */ "FileSystemWritableFileStream" "\0"
  /*  3713 */ "Flex" "\0"
  /*  3718 */ "FlexItemValues" "\0"
  /*  3733 */ "FlexLineValues" "\0"
  /*  3748 */ "FluentBundle" "\0"
  /*  3761 */ "FluentBundleAsyncIterator" "\0"
  /*  3787 */ "FluentBundleIterator" "\0"
  /*  3808 */ "FluentPattern" "\0"
  /*  3822 */ "FluentResource" "\0"
  /*  3837 */ "FocusEvent" "\0"
  /*  3848 */ "FontFace" "\0"
  /*  3857 */ "FontFaceSet" "\0"
  /*  3869 */ "FontFaceSetIterator" "\0"
  /*  3889 */ "FontFaceSetLoadEvent" "\0"
  /*  3910 */ "FormData" "\0"
  /*  3919 */ "FormData Iterator" "\0"
  /*  3937 */ "FormDataEvent" "\0"
  /*  3951 */ "FrameCrashedEvent" "\0"
  /*  3969 */ "FrameLoader" "\0"
  /*  3981 */ "GPU" "\0"
  /*  3985 */ "GPUAdapter" "\0"
  /*  3996 */ "GPUBindGroup" "\0"
  /*  4009 */ "GPUBindGroupLayout" "\0"
  /*  4028 */ "GPUBuffer" "\0"
  /*  4038 */ "GPUBufferUsage" "\0"
  /*  4053 */ "GPUCanvasContext" "\0"
  /*  4070 */ "GPUColorWrite" "\0"
  /*  4084 */ "GPUCommandBuffer" "\0"
  /*  4101 */ "GPUCommandEncoder" "\0"
  /*  4119 */ "GPUCompilationInfo" "\0"
  /*  4138 */ "GPUCompilationMessage" "\0"
  /*  4160 */ "GPUComputePassEncoder" "\0"
  /*  4182 */ "GPUComputePipeline" "\0"
  /*  4201 */ "GPUDevice" "\0"
  /*  4211 */ "GPUDeviceLostInfo" "\0"
  /*  4229 */ "GPUMapMode" "\0"
  /*  4240 */ "GPUOutOfMemoryError" "\0"
  /*  4260 */ "GPUPipelineLayout" "\0"
  /*  4278 */ "GPUQuerySet" "\0"
  /*  4290 */ "GPUQueue" "\0"
  /*  4299 */ "GPURenderBundle" "\0"
  /*  4315 */ "GPURenderBundleEncoder" "\0"
  /*  4338 */ "GPURenderPassEncoder" "\0"
  /*  4359 */ "GPURenderPipeline" "\0"
  /*  4377 */ "GPUSampler" "\0"
  /*  4388 */ "GPUShaderModule" "\0"
  /*  4404 */ "GPUShaderStage" "\0"
  /*  4419 */ "GPUSupportedFeatures" "\0"
  /*  4440 */ "GPUSupportedLimits" "\0"
  /*  4459 */ "GPUTexture" "\0"
  /*  4470 */ "GPUTextureUsage" "\0"
  /*  4486 */ "GPUTextureView" "\0"
  /*  4501 */ "GPUUncapturedErrorEvent" "\0"
  /*  4525 */ "GPUValidationError" "\0"
  /*  4544 */ "GainNode" "\0"
  /*  4553 */ "Gamepad" "\0"
  /*  4561 */ "GamepadAxisMoveEvent" "\0"
  /*  4582 */ "GamepadButton" "\0"
  /*  4596 */ "GamepadButtonEvent" "\0"
  /*  4615 */ "GamepadEvent" "\0"
  /*  4628 */ "GamepadHapticActuator" "\0"
  /*  4650 */ "GamepadLightIndicator" "\0"
  /*  4672 */ "GamepadPose" "\0"
  /*  4684 */ "GamepadServiceTest" "\0"
  /*  4703 */ "GamepadTouch" "\0"
  /*  4716 */ "Geolocation" "\0"
  /*  4728 */ "GeolocationCoordinates" "\0"
  /*  4751 */ "GeolocationPosition" "\0"
  /*  4771 */ "GeolocationPositionError" "\0"
  /*  4796 */ "GetUserMediaRequest" "\0"
  /*  4816 */ "GleanCategory" "\0"
  /*  4830 */ "GleanImpl" "\0"
  /*  4840 */ "GleanLabeled" "\0"
  /*  4853 */ "GleanPingsImpl" "\0"
  /*  4868 */ "Grid" "\0"
  /*  4873 */ "GridArea" "\0"
  /*  4882 */ "GridDimension" "\0"
  /*  4896 */ "GridLine" "\0"
  /*  4905 */ "GridLines" "\0"
  /*  4915 */ "GridTrack" "\0"
  /*  4925 */ "GridTracks" "\0"
  /*  4936 */ "HTMLAllCollection" "\0"
  /*  4954 */ "HTMLAnchorElement" "\0"
  /*  4972 */ "HTMLAreaElement" "\0"
  /*  4988 */ "HTMLAudioElement" "\0"
  /*  5005 */ "HTMLBRElement" "\0"
  /*  5019 */ "HTMLBaseElement" "\0"
  /*  5035 */ "HTMLBodyElement" "\0"
  /*  5051 */ "HTMLButtonElement" "\0"
  /*  5069 */ "HTMLCanvasElement" "\0"
  /*  5087 */ "HTMLCollection" "\0"
  /*  5102 */ "HTMLDListElement" "\0"
  /*  5119 */ "HTMLDataElement" "\0"
  /*  5135 */ "HTMLDataListElement" "\0"
  /*  5155 */ "HTMLDetailsElement" "\0"
  /*  5174 */ "HTMLDialogElement" "\0"
  /*  5192 */ "HTMLDirectoryElement" "\0"
  /*  5213 */ "HTMLDivElement" "\0"
  /*  5228 */ "HTMLDocument" "\0"
  /*  5241 */ "HTMLElement" "\0"
  /*  5253 */ "HTMLEmbedElement" "\0"
  /*  5270 */ "HTMLFieldSetElement" "\0"
  /*  5290 */ "HTMLFontElement" "\0"
  /*  5306 */ "HTMLFormControlsCollection" "\0"
  /*  5333 */ "HTMLFormElement" "\0"
  /*  5349 */ "HTMLFrameElement" "\0"
  /*  5366 */ "HTMLFrameSetElement" "\0"
  /*  5386 */ "HTMLHRElement" "\0"
  /*  5400 */ "HTMLHeadElement" "\0"
  /*  5416 */ "HTMLHeadingElement" "\0"
  /*  5435 */ "HTMLHtmlElement" "\0"
  /*  5451 */ "HTMLIFrameElement" "\0"
  /*  5469 */ "HTMLImageElement" "\0"
  /*  5486 */ "HTMLInputElement" "\0"
  /*  5503 */ "HTMLLIElement" "\0"
  /*  5517 */ "HTMLLabelElement" "\0"
  /*  5534 */ "HTMLLegendElement" "\0"
  /*  5552 */ "HTMLLinkElement" "\0"
  /*  5568 */ "HTMLMapElement" "\0"
  /*  5583 */ "HTMLMarqueeElement" "\0"
  /*  5602 */ "HTMLMediaElement" "\0"
  /*  5619 */ "HTMLMenuElement" "\0"
  /*  5635 */ "HTMLMetaElement" "\0"
  /*  5651 */ "HTMLMeterElement" "\0"
  /*  5668 */ "HTMLModElement" "\0"
  /*  5683 */ "HTMLOListElement" "\0"
  /*  5700 */ "HTMLObjectElement" "\0"
  /*  5718 */ "HTMLOptGroupElement" "\0"
  /*  5738 */ "HTMLOptionElement" "\0"
  /*  5756 */ "HTMLOptionsCollection" "\0"
  /*  5778 */ "HTMLOutputElement" "\0"
  /*  5796 */ "HTMLParagraphElement" "\0"
  /*  5817 */ "HTMLParamElement" "\0"
  /*  5834 */ "HTMLPictureElement" "\0"
  /*  5853 */ "HTMLPreElement" "\0"
  /*  5868 */ "HTMLProgressElement" "\0"
  /*  5888 */ "HTMLQuoteElement" "\0"
  /*  5905 */ "HTMLScriptElement" "\0"
  /*  5923 */ "HTMLSelectElement" "\0"
  /*  5941 */ "HTMLSlotElement" "\0"
  /*  5957 */ "HTMLSourceElement" "\0"
  /*  5975 */ "HTMLSpanElement" "\0"
  /*  5991 */ "HTMLStyleElement" "\0"
  /*  6008 */ "HTMLTableCaptionElement" "\0"
  /*  6032 */ "HTMLTableCellElement" "\0"
  /*  6053 */ "HTMLTableColElement" "\0"
  /*  6073 */ "HTMLTableElement" "\0"
  /*  6090 */ "HTMLTableRowElement" "\0"
  /*  6110 */ "HTMLTableSectionElement" "\0"
  /*  6134 */ "HTMLTemplateElement" "\0"
  /*  6154 */ "HTMLTextAreaElement" "\0"
  /*  6174 */ "HTMLTimeElement" "\0"
  /*  6190 */ "HTMLTitleElement" "\0"
  /*  6207 */ "HTMLTrackElement" "\0"
  /*  6224 */ "HTMLUListElement" "\0"
  /*  6241 */ "HTMLUnknownElement" "\0"
  /*  6260 */ "HTMLVideoElement" "\0"
  /*  6277 */ "HashChangeEvent" "\0"
  /*  6293 */ "Headers" "\0"
  /*  6301 */ "Headers Iterator" "\0"
  /*  6318 */ "HeapSnapshot" "\0"
  /*  6331 */ "Highlight" "\0"
  /*  6341 */ "HighlightRegistry" "\0"
  /*  6359 */ "History" "\0"
  /*  6367 */ "IDBCursor" "\0"
  /*  6377 */ "IDBCursorWithValue" "\0"
  /*  6396 */ "IDBDatabase" "\0"
  /*  6408 */ "IDBFactory" "\0"
  /*  6419 */ "IDBIndex" "\0"
  /*  6428 */ "IDBKeyRange" "\0"
  /*  6440 */ "IDBLocaleAwareKeyRange" "\0"
  /*  6463 */ "IDBObjectStore" "\0"
  /*  6478 */ "IDBOpenDBRequest" "\0"
  /*  6495 */ "IDBRequest" "\0"
  /*  6506 */ "IDBTransaction" "\0"
  /*  6521 */ "IDBVersionChangeEvent" "\0"
  /*  6543 */ "IIRFilterNode" "\0"
  /*  6557 */ "IOUtils" "\0"
  /*  6565 */ "IdentityCredential" "\0"
  /*  6584 */ "IdleDeadline" "\0"
  /*  6597 */ "Image" "\0"
  /*  6603 */ "ImageBitmap" "\0"
  /*  6615 */ "ImageBitmapRenderingContext" "\0"
  /*  6643 */ "ImageCapture" "\0"
  /*  6656 */ "ImageCaptureError" "\0"
  /*  6674 */ "ImageCaptureErrorEvent" "\0"
  /*  6697 */ "ImageData" "\0"
  /*  6707 */ "ImageDocument" "\0"
  /*  6721 */ "InputEvent" "\0"
  /*  6732 */ "InspectorFontFace" "\0"
  /*  6750 */ "InspectorUtils" "\0"
  /*  6765 */ "InstallTriggerImpl" "\0"
  /*  6784 */ "IntersectionObserver" "\0"
  /*  6805 */ "IntersectionObserverEntry" "\0"
  /*  6831 */ "IntlUtils" "\0"
  /*  6841 */ "JSProcessActorChild" "\0"
  /*  6861 */ "JSProcessActorParent" "\0"
  /*  6882 */ "JSWindowActorChild" "\0"
  /*  6901 */ "JSWindowActorParent" "\0"
  /*  6921 */ "KeyEvent" "\0"
  /*  6930 */ "KeyboardEvent" "\0"
  /*  6944 */ "KeyframeEffect" "\0"
  /*  6959 */ "L10nFileSource" "\0"
  /*  6974 */ "L10nOverlays" "\0"
  /*  6987 */ "L10nRegistry" "\0"
  /*  7000 */ "LegacyMozTCPSocket" "\0"
  /*  7019 */ "Localization" "\0"
  /*  7032 */ "Location" "\0"
  /*  7041 */ "Lock" "\0"
  /*  7046 */ "LockManager" "\0"
  /*  7058 */ "MIDIAccess" "\0"
  /*  7069 */ "MIDIConnectionEvent" "\0"
  /*  7089 */ "MIDIInput" "\0"
  /*  7099 */ "MIDIInputMap" "\0"
  /*  7112 */ "MIDIMessageEvent" "\0"
  /*  7129 */ "MIDIOutput" "\0"
  /*  7140 */ "MIDIOutputMap" "\0"
  /*  7154 */ "MIDIPort" "\0"
  /*  7163 */ "MOZ_debug" "\0"
  /*  7173 */ "MatchGlob" "\0"
  /*  7183 */ "MatchPattern" "\0"
  /*  7196 */ "MatchPatternSet" "\0"
  /*  7212 */ "MathMLElement" "\0"
  /*  7226 */ "MediaCapabilities" "\0"
  /*  7244 */ "MediaCapabilitiesInfo" "\0"
  /*  7266 */ "MediaControlService" "\0"
  /*  7286 */ "MediaController" "\0"
  /*  7302 */ "MediaDeviceInfo" "\0"
  /*  7318 */ "MediaDevices" "\0"
  /*  7331 */ "MediaElementAudioSourceNode" "\0"
  /*  7359 */ "MediaEncryptedEvent" "\0"
  /*  7379 */ "MediaError" "\0"
  /*  7390 */ "MediaKeyError" "\0"
  /*  7404 */ "MediaKeyMessageEvent" "\0"
  /*  7425 */ "MediaKeySession" "\0"
  /*  7441 */ "MediaKeyStatusMap" "\0"
  /*  7459 */ "MediaKeyStatusMap Iterator" "\0"
  /*  7486 */ "MediaKeySystemAccess" "\0"
  /*  7507 */ "MediaKeys" "\0"
  /*  7517 */ "MediaList" "\0"
  /*  7527 */ "MediaMetadata" "\0"
  /*  7541 */ "MediaQueryList" "\0"
  /*  7556 */ "MediaQueryListEvent" "\0"
  /*  7576 */ "MediaRecorder" "\0"
  /*  7590 */ "MediaRecorderErrorEvent" "\0"
  /*  7614 */ "MediaSession" "\0"
  /*  7627 */ "MediaSource" "\0"
  /*  7639 */ "MediaStream" "\0"
  /*  7651 */ "MediaStreamAudioDestinationNode" "\0"
  /*  7683 */ "MediaStreamAudioSourceNode" "\0"
  /*  7710 */ "MediaStreamError" "\0"
  /*  7727 */ "MediaStreamEvent" "\0"
  /*  7744 */ "MediaStreamTrack" "\0"
  /*  7761 */ "MediaStreamTrackAudioSourceNode" "\0"
  /*  7793 */ "MediaStreamTrackEvent" "\0"
  /*  7815 */ "MerchantValidationEvent" "\0"
  /*  7839 */ "MessageBroadcaster" "\0"
  /*  7858 */ "MessageChannel" "\0"
  /*  7873 */ "MessageEvent" "\0"
  /*  7886 */ "MessageListenerManager" "\0"
  /*  7909 */ "MessagePort" "\0"
  /*  7921 */ "MessageSender" "\0"
  /*  7935 */ "MimeType" "\0"
  /*  7944 */ "MimeTypeArray" "\0"
  /*  7958 */ "MouseEvent" "\0"
  /*  7969 */ "MouseScrollEvent" "\0"
  /*  7986 */ "MozCanvasPrintState" "\0"
  /*  8006 */ "MozDocumentMatcher" "\0"
  /*  8025 */ "MozDocumentObserver" "\0"
  /*  8045 */ "MozQueryInterface" "\0"
  /*  8063 */ "MozSharedMap" "\0"
  /*  8076 */ "MozSharedMap Iterator" "\0"
  /*  8098 */ "MozSharedMapChangeEvent" "\0"
  /*  8122 */ "MozStorageAsyncStatementParams" "\0"
  /*  8153 */ "MozStorageStatementParams" "\0"
  /*  8179 */ "MozStorageStatementRow" "\0"
  /*  8202 */ "MozWritableSharedMap" "\0"
  /*  8223 */ "MutationEvent" "\0"
  /*  8237 */ "MutationObserver" "\0"
  /*  8254 */ "MutationRecord" "\0"
  /*  8269 */ "NamedNodeMap" "\0"
  /*  8282 */ "NavigationPreloadManager" "\0"
  /*  8307 */ "Navigator" "\0"
  /*  8317 */ "NetworkInformation" "\0"
  /*  8336 */ "Node" "\0"
  /*  8341 */ "NodeFilter" "\0"
  /*  8352 */ "NodeIterator" "\0"
  /*  8365 */ "NodeList" "\0"
  /*  8374 */ "Notification" "\0"
  /*  8387 */ "NotificationEvent" "\0"
  /*  8405 */ "NotifyPaintEvent" "\0"
  /*  8422 */ "OES_draw_buffers_indexed" "\0"
  /*  8447 */ "OES_element_index_uint" "\0"
  /*  8470 */ "OES_fbo_render_mipmap" "\0"
  /*  8492 */ "OES_standard_derivatives" "\0"
  /*  8517 */ "OES_texture_float" "\0"
  /*  8535 */ "OES_texture_float_linear" "\0"
  /*  8560 */ "OES_texture_half_float" "\0"
  /*  8583 */ "OES_texture_half_float_linear" "\0"
  /*  8613 */ "OES_vertex_array_object" "\0"
  /*  8637 */ "OVR_multiview2" "\0"
  /*  8652 */ "OfflineAudioCompletionEvent" "\0"
  /*  8680 */ "OfflineAudioContext" "\0"
  /*  8700 */ "OfflineResourceList" "\0"
  /*  8720 */ "OffscreenCanvas" "\0"
  /*  8736 */ "OffscreenCanvasRenderingContext2D" "\0"
  /*  8770 */ "Option" "\0"
  /*  8777 */ "OscillatorNode" "\0"
  /*  8792 */ "PageTransitionEvent" "\0"
  /*  8812 */ "PaintRequest" "\0"
  /*  8825 */ "PaintRequestList" "\0"
  /*  8842 */ "PaintWorkletGlobalScope" "\0"
  /*  8866 */ "PannerNode" "\0"
  /*  8877 */ "ParentProcessMessageManager" "\0"
  /*  8905 */ "Path2D" "\0"
  /*  8912 */ "PathUtils" "\0"
  /*  8922 */ "PaymentAddress" "\0"
  /*  8937 */ "PaymentMethodChangeEvent" "\0"
  /*  8962 */ "PaymentRequest" "\0"
  /*  8977 */ "PaymentRequestUpdateEvent" "\0"
  /*  9003 */ "PaymentResponse" "\0"
  /*  9019 */ "Performance" "\0"
  /*  9031 */ "PerformanceEntry" "\0"
  /*  9048 */ "PerformanceEntryEvent" "\0"
  /*  9070 */ "PerformanceEventTiming" "\0"
  /*  9093 */ "PerformanceMark" "\0"
  /*  9109 */ "PerformanceMeasure" "\0"
  /*  9128 */ "PerformanceNavigation" "\0"
  /*  9150 */ "PerformanceNavigationTiming" "\0"
  /*  9178 */ "PerformanceObserver" "\0"
  /*  9198 */ "PerformanceObserverEntryList" "\0"
  /*  9227 */ "PerformancePaintTiming" "\0"
  /*  9250 */ "PerformanceResourceTiming" "\0"
  /*  9276 */ "PerformanceServerTiming" "\0"
  /*  9300 */ "PerformanceTiming" "\0"
  /*  9318 */ "PeriodicWave" "\0"
  /*  9331 */ "PermissionStatus" "\0"
  /*  9348 */ "Permissions" "\0"
  /*  9360 */ "PlacesBookmark" "\0"
  /*  9375 */ "PlacesBookmarkAddition" "\0"
  /*  9398 */ "PlacesBookmarkChanged" "\0"
  /*  9420 */ "PlacesBookmarkGuid" "\0"
  /*  9439 */ "PlacesBookmarkKeyword" "\0"
  /*  9461 */ "PlacesBookmarkMoved" "\0"
  /*  9481 */ "PlacesBookmarkRemoved" "\0"
  /*  9503 */ "PlacesBookmarkTags" "\0"
  /*  9522 */ "PlacesBookmarkTime" "\0"
  /*  9541 */ "PlacesBookmarkTitle" "\0"
  /*  9561 */ "PlacesBookmarkUrl" "\0"
  /*  9579 */ "PlacesEvent" "\0"
  /*  9591 */ "PlacesFavicon" "\0"
  /*  9605 */ "PlacesHistoryCleared" "\0"
  /*  9626 */ "PlacesObservers" "\0"
  /*  9642 */ "PlacesPurgeCaches" "\0"
  /*  9660 */ "PlacesRanking" "\0"
  /*  9674 */ "PlacesVisit" "\0"
  /*  9686 */ "PlacesVisitRemoved" "\0"
  /*  9705 */ "PlacesVisitTitle" "\0"
  /*  9722 */ "PlacesWeakCallbackWrapper" "\0"
  /*  9748 */ "Plugin" "\0"
  /*  9755 */ "PluginArray" "\0"
  /*  9767 */ "PluginCrashedEvent" "\0"
  /*  9786 */ "PointerEvent" "\0"
  /*  9799 */ "PopStateEvent" "\0"
  /*  9813 */ "PopupBlockedEvent" "\0"
  /*  9831 */ "PopupPositionedEvent" "\0"
  /*  9852 */ "PositionStateEvent" "\0"
  /*  9871 */ "PrecompiledScript" "\0"
  /*  9889 */ "ProcessMessageManager" "\0"
  /*  9911 */ "ProcessingInstruction" "\0"
  /*  9933 */ "ProgressEvent" "\0"
  /*  9947 */ "PromiseDebugging" "\0"
  /*  9964 */ "PromiseNativeHandler" "\0"
  /*  9985 */ "PromiseRejectionEvent" "\0"
  /* 10007 */ "PublicKeyCredential" "\0"
  /* 10027 */ "PushEvent" "\0"
  /* 10037 */ "PushManager" "\0"
  /* 10049 */ "PushManagerImpl" "\0"
  /* 10065 */ "PushMessageData" "\0"
  /* 10081 */ "PushSubscription" "\0"
  /* 10098 */ "PushSubscriptionOptions" "\0"
  /* 10122 */ "RadioNodeList" "\0"
  /* 10136 */ "Range" "\0"
  /* 10142 */ "ReadableByteStreamController" "\0"
  /* 10171 */ "ReadableStream" "\0"
  /* 10186 */ "ReadableStream AsyncIterator" "\0"
  /* 10215 */ "ReadableStreamBYOBReader" "\0"
  /* 10240 */ "ReadableStreamBYOBRequest" "\0"
  /* 10266 */ "ReadableStreamDefaultController" "\0"
  /* 10298 */ "ReadableStreamDefaultReader" "\0"
  /* 10326 */ "Report" "\0"
  /* 10333 */ "ReportBody" "\0"
  /* 10344 */ "ReportingObserver" "\0"
  /* 10362 */ "Request" "\0"
  /* 10370 */ "ResizeObserver" "\0"
  /* 10385 */ "ResizeObserverEntry" "\0"
  /* 10405 */ "ResizeObserverSize" "\0"
  /* 10424 */ "Response" "\0"
  /* 10433 */ "SVGAElement" "\0"
  /* 10445 */ "SVGAngle" "\0"
  /* 10454 */ "SVGAnimateElement" "\0"
  /* 10472 */ "SVGAnimateMotionElement" "\0"
  /* 10496 */ "SVGAnimateTransformElement" "\0"
  /* 10523 */ "SVGAnimatedAngle" "\0"
  /* 10540 */ "SVGAnimatedBoolean" "\0"
  /* 10559 */ "SVGAnimatedEnumeration" "\0"
  /* 10582 */ "SVGAnimatedInteger" "\0"
  /* 10601 */ "SVGAnimatedLength" "\0"
  /* 10619 */ "SVGAnimatedLengthList" "\0"
  /* 10641 */ "SVGAnimatedNumber" "\0"
  /* 10659 */ "SVGAnimatedNumberList" "\0"
  /* 10681 */ "SVGAnimatedPreserveAspectRatio" "\0"
  /* 10712 */ "SVGAnimatedRect" "\0"
  /* 10728 */ "SVGAnimatedString" "\0"
  /* 10746 */ "SVGAnimatedTransformList" "\0"
  /* 10771 */ "SVGAnimationElement" "\0"
  /* 10791 */ "SVGCircleElement" "\0"
  /* 10808 */ "SVGClipPathElement" "\0"
  /* 10827 */ "SVGComponentTransferFunctionElement" "\0"
  /* 10863 */ "SVGDefsElement" "\0"
  /* 10878 */ "SVGDescElement" "\0"
  /* 10893 */ "SVGElement" "\0"
  /* 10904 */ "SVGEllipseElement" "\0"
  /* 10922 */ "SVGFEBlendElement" "\0"
  /* 10940 */ "SVGFEColorMatrixElement" "\0"
  /* 10964 */ "SVGFEComponentTransferElement" "\0"
  /* 10994 */ "SVGFECompositeElement" "\0"
  /* 11016 */ "SVGFEConvolveMatrixElement" "\0"
  /* 11043 */ "SVGFEDiffuseLightingElement" "\0"
  /* 11071 */ "SVGFEDisplacementMapElement" "\0"
  /* 11099 */ "SVGFEDistantLightElement" "\0"
  /* 11124 */ "SVGFEDropShadowElement" "\0"
  /* 11147 */ "SVGFEFloodElement" "\0"
  /* 11165 */ "SVGFEFuncAElement" "\0"
  /* 11183 */ "SVGFEFuncBElement" "\0"
  /* 11201 */ "SVGFEFuncGElement" "\0"
  /* 11219 */ "SVGFEFuncRElement" "\0"
  /* 11237 */ "SVGFEGaussianBlurElement" "\0"
  /* 11262 */ "SVGFEImageElement" "\0"
  /* 11280 */ "SVGFEMergeElement" "\0"
  /* 11298 */ "SVGFEMergeNodeElement" "\0"
  /* 11320 */ "SVGFEMorphologyElement" "\0"
  /* 11343 */ "SVGFEOffsetElement" "\0"
  /* 11362 */ "SVGFEPointLightElement" "\0"
  /* 11385 */ "SVGFESpecularLightingElement" "\0"
  /* 11414 */ "SVGFESpotLightElement" "\0"
  /* 11436 */ "SVGFETileElement" "\0"
  /* 11453 */ "SVGFETurbulenceElement" "\0"
  /* 11476 */ "SVGFilterElement" "\0"
  /* 11493 */ "SVGForeignObjectElement" "\0"
  /* 11517 */ "SVGGElement" "\0"
  /* 11529 */ "SVGGeometryElement" "\0"
  /* 11548 */ "SVGGradientElement" "\0"
  /* 11567 */ "SVGGraphicsElement" "\0"
  /* 11586 */ "SVGImageElement" "\0"
  /* 11602 */ "SVGLength" "\0"
  /* 11612 */ "SVGLengthList" "\0"
  /* 11626 */ "SVGLineElement" "\0"
  /* 11641 */ "SVGLinearGradientElement" "\0"
  /* 11666 */ "SVGMPathElement" "\0"
  /* 11682 */ "SVGMarkerElement" "\0"
  /* 11699 */ "SVGMaskElement" "\0"
  /* 11714 */ "SVGMatrix" "\0"
  /* 11724 */ "SVGMetadataElement" "\0"
  /* 11743 */ "SVGNumber" "\0"
  /* 11753 */ "SVGNumberList" "\0"
  /* 11767 */ "SVGPathElement" "\0"
  /* 11782 */ "SVGPathSeg" "\0"
  /* 11793 */ "SVGPathSegArcAbs" "\0"
  /* 11810 */ "SVGPathSegArcRel" "\0"
  /* 11827 */ "SVGPathSegClosePath" "\0"
  /* 11847 */ "SVGPathSegCurvetoCubicAbs" "\0"
  /* 11873 */ "SVGPathSegCurvetoCubicRel" "\0"
  /* 11899 */ "SVGPathSegCurvetoCubicSmoothAbs" "\0"
  /* 11931 */ "SVGPathSegCurvetoCubicSmoothRel" "\0"
  /* 11963 */ "SVGPathSegCurvetoQuadraticAbs" "\0"
  /* 11993 */ "SVGPathSegCurvetoQuadraticRel" "\0"
  /* 12023 */ "SVGPathSegCurvetoQuadraticSmoothAbs" "\0"
  /* 12059 */ "SVGPathSegCurvetoQuadraticSmoothRel" "\0"
  /* 12095 */ "SVGPathSegLinetoAbs" "\0"
  /* 12115 */ "SVGPathSegLinetoHorizontalAbs" "\0"
  /* 12145 */ "SVGPathSegLinetoHorizontalRel" "\0"
  /* 12175 */ "SVGPathSegLinetoRel" "\0"
  /* 12195 */ "SVGPathSegLinetoVerticalAbs" "\0"
  /* 12223 */ "SVGPathSegLinetoVerticalRel" "\0"
  /* 12251 */ "SVGPathSegList" "\0"
  /* 12266 */ "SVGPathSegMovetoAbs" "\0"
  /* 12286 */ "SVGPathSegMovetoRel" "\0"
  /* 12306 */ "SVGPatternElement" "\0"
  /* 12324 */ "SVGPoint" "\0"
  /* 12333 */ "SVGPointList" "\0"
  /* 12346 */ "SVGPolygonElement" "\0"
  /* 12364 */ "SVGPolylineElement" "\0"
  /* 12383 */ "SVGPreserveAspectRatio" "\0"
  /* 12406 */ "SVGRadialGradientElement" "\0"
  /* 12431 */ "SVGRect" "\0"
  /* 12439 */ "SVGRectElement" "\0"
  /* 12454 */ "SVGSVGElement" "\0"
  /* 12468 */ "SVGScriptElement" "\0"
  /* 12485 */ "SVGSetElement" "\0"
  /* 12499 */ "SVGStopElement" "\0"
  /* 12514 */ "SVGStringList" "\0"
  /* 12528 */ "SVGStyleElement" "\0"
  /* 12544 */ "SVGSwitchElement" "\0"
  /* 12561 */ "SVGSymbolElement" "\0"
  /* 12578 */ "SVGTSpanElement" "\0"
  /* 12594 */ "SVGTextContentElement" "\0"
  /* 12616 */ "SVGTextElement" "\0"
  /* 12631 */ "SVGTextPathElement" "\0"
  /* 12650 */ "SVGTextPositioningElement" "\0"
  /* 12676 */ "SVGTitleElement" "\0"
  /* 12692 */ "SVGTransform" "\0"
  /* 12705 */ "SVGTransformList" "\0"
  /* 12722 */ "SVGUnitTypes" "\0"
  /* 12735 */ "SVGUseElement" "\0"
  /* 12749 */ "SVGViewElement" "\0"
  /* 12764 */ "Sanitizer" "\0"
  /* 12774 */ "Scheduler" "\0"
  /* 12784 */ "Screen" "\0"
  /* 12791 */ "ScreenLuminance" "\0"
  /* 12807 */ "ScreenOrientation" "\0"
  /* 12825 */ "ScriptProcessorNode" "\0"
  /* 12845 */ "ScrollAreaEvent" "\0"
  /* 12861 */ "ScrollViewChangeEvent" "\0"
  /* 12883 */ "SecurityPolicyViolationEvent" "\0"
  /* 12912 */ "Selection" "\0"
  /* 12922 */ "ServiceWorker" "\0"
  /* 12936 */ "ServiceWorkerContainer" "\0"
  /* 12959 */ "ServiceWorkerGlobalScope" "\0"
  /* 12984 */ "ServiceWorkerRegistration" "\0"
  /* 13010 */ "SessionStoreFormData" "\0"
  /* 13031 */ "SessionStoreScrollData" "\0"
  /* 13054 */ "SessionStoreUtils" "\0"
  /* 13072 */ "ShadowRealmGlobalScope" "\0"
  /* 13095 */ "ShadowRoot" "\0"
  /* 13106 */ "SharedWorker" "\0"
  /* 13119 */ "SharedWorkerGlobalScope" "\0"
  /* 13143 */ "SimpleGestureEvent" "\0"
  /* 13162 */ "SourceBuffer" "\0"
  /* 13175 */ "SourceBufferList" "\0"
  /* 13192 */ "SpeechGrammar" "\0"
  /* 13206 */ "SpeechGrammarList" "\0"
  /* 13224 */ "SpeechRecognition" "\0"
  /* 13242 */ "SpeechRecognitionAlternative" "\0"
  /* 13271 */ "SpeechRecognitionError" "\0"
  /* 13294 */ "SpeechRecognitionEvent" "\0"
  /* 13317 */ "SpeechRecognitionResult" "\0"
  /* 13341 */ "SpeechRecognitionResultList" "\0"
  /* 13369 */ "SpeechSynthesis" "\0"
  /* 13385 */ "SpeechSynthesisErrorEvent" "\0"
  /* 13411 */ "SpeechSynthesisEvent" "\0"
  /* 13432 */ "SpeechSynthesisUtterance" "\0"
  /* 13457 */ "SpeechSynthesisVoice" "\0"
  /* 13478 */ "StaticRange" "\0"
  /* 13490 */ "StereoPannerNode" "\0"
  /* 13507 */ "Storage" "\0"
  /* 13515 */ "StorageEvent" "\0"
  /* 13528 */ "StorageManager" "\0"
  /* 13543 */ "StreamFilter" "\0"
  /* 13556 */ "StreamFilterDataEvent" "\0"
  /* 13578 */ "StructuredCloneHolder" "\0"
  /* 13600 */ "StructuredCloneTester" "\0"
  /* 13622 */ "StyleSheet" "\0"
  /* 13633 */ "StyleSheetApplicableStateChangeEvent" "\0"
  /* 13670 */ "StyleSheetList" "\0"
  /* 13685 */ "SubmitEvent" "\0"
  /* 13697 */ "SubtleCrypto" "\0"
  /* 13710 */ "SyncMessageSender" "\0"
  /* 13728 */ "SyncReadFile" "\0"
  /* 13741 */ "TCPServerSocket" "\0"
  /* 13757 */ "TCPServerSocketEvent" "\0"
  /* 13778 */ "TCPSocket" "\0"
  /* 13788 */ "TCPSocketErrorEvent" "\0"
  /* 13808 */ "TCPSocketEvent" "\0"
  /* 13823 */ "TaskController" "\0"
  /* 13838 */ "TaskPriorityChangeEvent" "\0"
  /* 13862 */ "TaskSignal" "\0"
  /* 13873 */ "TelemetryStopwatch" "\0"
  /* 13892 */ "TestUtils" "\0"
  /* 13902 */ "TestingDeprecatedInterface" "\0"
  /* 13929 */ "Text" "\0"
  /* 13934 */ "TextClause" "\0"
  /* 13945 */ "TextDecoder" "\0"
  /* 13957 */ "TextDecoderStream" "\0"
  /* 13975 */ "TextEncoder" "\0"
  /* 13987 */ "TextEncoderStream" "\0"
  /* 14005 */ "TextMetrics" "\0"
  /* 14017 */ "TextTrack" "\0"
  /* 14027 */ "TextTrackCue" "\0"
  /* 14040 */ "TextTrackCueList" "\0"
  /* 14057 */ "TextTrackList" "\0"
  /* 14071 */ "TimeEvent" "\0"
  /* 14081 */ "TimeRanges" "\0"
  /* 14092 */ "Touch" "\0"
  /* 14098 */ "TouchEvent" "\0"
  /* 14109 */ "TouchList" "\0"
  /* 14119 */ "TrackEvent" "\0"
  /* 14130 */ "TransformStream" "\0"
  /* 14146 */ "TransformStreamDefaultController" "\0"
  /* 14179 */ "TransitionEvent" "\0"
  /* 14195 */ "TreeColumn" "\0"
  /* 14206 */ "TreeColumns" "\0"
  /* 14218 */ "TreeContentView" "\0"
  /* 14234 */ "TreeWalker" "\0"
  /* 14245 */ "U2F" "\0"
  /* 14249 */ "UDPMessageEvent" "\0"
  /* 14265 */ "UDPSocket" "\0"
  /* 14275 */ "UIEvent" "\0"
  /* 14283 */ "URL" "\0"
  /* 14287 */ "URLSearchParams" "\0"
  /* 14303 */ "URLSearchParams Iterator" "\0"
  /* 14328 */ "UniFFIPointer" "\0"
  /* 14342 */ "UniFFIScaffolding" "\0"
  /* 14360 */ "UserInteraction" "\0"
  /* 14376 */ "UserProximityEvent" "\0"
  /* 14395 */ "VRDisplay" "\0"
  /* 14405 */ "VRDisplayCapabilities" "\0"
  /* 14427 */ "VRDisplayEvent" "\0"
  /* 14442 */ "VREyeParameters" "\0"
  /* 14458 */ "VRFieldOfView" "\0"
  /* 14472 */ "VRFrameData" "\0"
  /* 14484 */ "VRMockController" "\0"
  /* 14501 */ "VRMockDisplay" "\0"
  /* 14515 */ "VRPose" "\0"
  /* 14522 */ "VRServiceTest" "\0"
  /* 14536 */ "VRStageParameters" "\0"
  /* 14554 */ "VTTCue" "\0"
  /* 14561 */ "VTTRegion" "\0"
  /* 14571 */ "ValidityState" "\0"
  /* 14585 */ "VideoColorSpace" "\0"
  /* 14601 */ "VideoFrame" "\0"
  /* 14612 */ "VideoPlaybackQuality" "\0"
  /* 14633 */ "VideoTrack" "\0"
  /* 14644 */ "VideoTrackList" "\0"
  /* 14659 */ "VisualViewport" "\0"
  /* 14674 */ "WEBGL_color_buffer_float" "\0"
  /* 14699 */ "WEBGL_compressed_texture_astc" "\0"
  /* 14729 */ "WEBGL_compressed_texture_etc" "\0"
  /* 14758 */ "WEBGL_compressed_texture_etc1" "\0"
  /* 14788 */ "WEBGL_compressed_texture_pvrtc" "\0"
  /* 14819 */ "WEBGL_compressed_texture_s3tc" "\0"
  /* 14849 */ "WEBGL_compressed_texture_s3tc_srgb" "\0"
  /* 14884 */ "WEBGL_debug_renderer_info" "\0"
  /* 14910 */ "WEBGL_debug_shaders" "\0"
  /* 14930 */ "WEBGL_depth_texture" "\0"
  /* 14950 */ "WEBGL_draw_buffers" "\0"
  /* 14969 */ "WEBGL_explicit_present" "\0"
  /* 14992 */ "WEBGL_lose_context" "\0"
  /* 15011 */ "WaveShaperNode" "\0"
  /* 15026 */ "WebExtensionContentScript" "\0"
  /* 15052 */ "WebExtensionPolicy" "\0"
  /* 15071 */ "WebGL2RenderingContext" "\0"
  /* 15094 */ "WebGLActiveInfo" "\0"
  /* 15110 */ "WebGLBuffer" "\0"
  /* 15122 */ "WebGLContextEvent" "\0"
  /* 15140 */ "WebGLFramebuffer" "\0"
  /* 15157 */ "WebGLProgram" "\0"
  /* 15170 */ "WebGLQuery" "\0"
  /* 15181 */ "WebGLRenderbuffer" "\0"
  /* 15199 */ "WebGLRenderingContext" "\0"
  /* 15221 */ "WebGLSampler" "\0"
  /* 15234 */ "WebGLShader" "\0"
  /* 15246 */ "WebGLShaderPrecisionFormat" "\0"
  /* 15273 */ "WebGLSync" "\0"
  /* 15283 */ "WebGLTexture" "\0"
  /* 15296 */ "WebGLTransformFeedback" "\0"
  /* 15319 */ "WebGLUniformLocation" "\0"
  /* 15340 */ "WebGLVertexArrayObject" "\0"
  /* 15363 */ "WebKitCSSMatrix" "\0"
  /* 15379 */ "WebSocket" "\0"
  /* 15389 */ "WebTransport" "\0"
  /* 15402 */ "WebTransportBidirectionalStream" "\0"
  /* 15434 */ "WebTransportDatagramDuplexStream" "\0"
  /* 15467 */ "WebTransportError" "\0"
  /* 15485 */ "WebTransportReceiveStream" "\0"
  /* 15511 */ "WebTransportSendStream" "\0"
  /* 15534 */ "WheelEvent" "\0"
  /* 15545 */ "Window" "\0"
  /* 15552 */ "WindowClient" "\0"
  /* 15565 */ "WindowContext" "\0"
  /* 15579 */ "WindowGlobalChild" "\0"
  /* 15597 */ "WindowGlobalParent" "\0"
  /* 15616 */ "WindowRoot" "\0"
  /* 15627 */ "Worker" "\0"
  /* 15634 */ "WorkerDebuggerGlobalScope" "\0"
  /* 15660 */ "WorkerGlobalScope" "\0"
  /* 15678 */ "WorkerLocation" "\0"
  /* 15693 */ "WorkerNavigator" "\0"
  /* 15709 */ "WorkerTestUtils" "\0"
  /* 15725 */ "Worklet" "\0"
  /* 15733 */ "WorkletGlobalScope" "\0"
  /* 15752 */ "WritableStream" "\0"
  /* 15767 */ "WritableStreamDefaultController" "\0"
  /* 15799 */ "WritableStreamDefaultWriter" "\0"
  /* 15827 */ "XMLDocument" "\0"
  /* 15839 */ "XMLHttpRequest" "\0"
  /* 15854 */ "XMLHttpRequestEventTarget" "\0"
  /* 15880 */ "XMLHttpRequestUpload" "\0"
  /* 15901 */ "XMLSerializer" "\0"
  /* 15915 */ "XPathEvaluator" "\0"
  /* 15930 */ "XPathExpression" "\0"
  /* 15946 */ "XPathResult" "\0"
  /* 15958 */ "XRBoundedReferenceSpace" "\0"
  /* 15982 */ "XRFrame" "\0"
  /* 15990 */ "XRInputSource" "\0"
  /* 16004 */ "XRInputSourceArray" "\0"
  /* 16023 */ "XRInputSourceEvent" "\0"
  /* 16042 */ "XRInputSourcesChangeEvent" "\0"
  /* 16068 */ "XRPose" "\0"
  /* 16075 */ "XRReferenceSpace" "\0"
  /* 16092 */ "XRReferenceSpaceEvent" "\0"
  /* 16114 */ "XRRenderState" "\0"
  /* 16128 */ "XRRigidTransform" "\0"
  /* 16145 */ "XRSession" "\0"
  /* 16155 */ "XRSessionEvent" "\0"
  /* 16170 */ "XRSpace" "\0"
  /* 16178 */ "XRSystem" "\0"
  /* 16187 */ "XRView" "\0"
  /* 16194 */ "XRViewerPose" "\0"
  /* 16207 */ "XRViewport" "\0"
  /* 16218 */ "XRWebGLLayer" "\0"
  /* 16231 */ "XSLTProcessor" "\0"
  /* 16245 */ "XULCommandEvent" "\0"
  /* 16261 */ "XULElement" "\0"
  /* 16272 */ "XULFrameElement" "\0"
  /* 16288 */ "XULMenuElement" "\0"
  /* 16303 */ "XULPopupElement" "\0"
  /* 16319 */ "XULResizerElement" "\0"
  /* 16337 */ "XULTextElement" "\0"
  /* 16352 */ "XULTreeElement" "\0"
  /* 16367 */ "console" "\0"
  /* 16375 */ "webkitSpeechGrammar" "\0"
  /* 16395 */ "webkitSpeechGrammarList" "\0"
  /* 16419 */ "webkitSpeechRecognition" "\0"
  /* 16443 */ "webkitURL"
};

}  // namespace binding_detail

// Making this enum bigger than a uint16_t has consequences on the size
// of some structs (eg. WebIDLNameTableEntry) and tables. We should try
// to avoid that.
static_assert(EnumTypeFitsWithin<BindingNamesOffset, uint16_t>::value,
              "Size increase");

} // namespace mozilla::dom

